/*!
 * ihavecookies - jQuery plugin for displaying cookie/privacy message
 * v0.3.2
 *
 * Copyright (c) 2018 Ketan Mistry (https://iamketan.com.au)
 * Licensed under the MIT license:
 * http://www.opensource.org/licenses/mit-license.php
 *
 */
(function(c){c.fn.ihavecookies=function(l,o){var j=c(this);var m=c.extend({cookieTypes:[{type:"Site Preferences",value:"preferences",description:"These are cookies that are related to your site preferences, e.g. remembering your username, site colours, etc."},{type:"Analytics",value:"analytics",description:"Cookies related to site visits, browser types, etc."},{type:"Marketing",value:"marketing",description:"Cookies related to marketing, e.g. newsletters, social media, etc"}],title:"Cookies & Privacy",message:"Cookies enable you to use shopping carts and to personalize your experience on our sites, tell us which parts of our websites people have visited, help us measure the effectiveness of ads and web searches, and give us insights into user behavior so we can improve our communications and products.",link:"/privacy-policy",delay:2000,expires:30,moreInfoLabel:"More information",acceptBtnLabel:"Accept Cookies",acceptSelectedBtnLabel:"Accept Selected Cookie(s)",advancedBtnLabel:"Customise Cookies",cookieTypesTitle:"Select cookies to accept",fixedCookieTypeLabel:"Necessary",fixedCookieTypeDesc:"These are cookies that are essential for the website to work correctly.",onAccept:function(){},uncheckBoxes:false,cookieName:"cookieControl",cookiePrefName:"cookieControlPrefs",useOverlay:true,showResetBtn:true,resetBtnTitle:"Reset cookie setting"},l);h=m.cookieName;e=m.cookiePrefName;var n=g(h);var p=g(e);if(!n||!p||o=="reinit"){b(j,m)}else{var k=true;if(n=="false"){k=false}d(k,m.expires);a(j,m)}};var h="";var e="";c.fn.ihavecookies.cookie=function(){var j=g(e);return JSON.parse(j)};c.fn.ihavecookies.preference=function(k){var l=g(h);var j=g(e);j=JSON.parse(j);if(l===false){return false}if(j===false||j.indexOf(k)===-1){return false}return true};var d=function(k,j){i(h,k,j);c("#gdpr-overlay").fadeOut("fast");c("#gdpr-cookie-message").fadeOut("fast",function(){})};var i=function(l,m,k){var n=new Date();n.setTime(n.getTime()+(k*24*60*60*1000));var j="expires="+n.toUTCString();document.cookie=l+"="+m+"; samesite=lax;"+j+";path=/";return g(l)};var g=function(k){var n=k+"=";var m=decodeURIComponent(document.cookie);var j=m.split(";");for(var l=0;l<j.length;l++){var o=j[l];while(o.charAt(0)==" "){o=o.substring(1)}if(o.indexOf(n)===0){return o.substring(n.length,o.length)}}return false};var f=function(){var k=document.cookie;var l=k.split(";");var j=new Date();j.setYear(j.getYear()-10);c(l).each(function(n){var m=l[n].split("=");document.cookie=m[0]+"=;samesite=lax;expires="+j.toGMTString()+";path=/"})};var a=function(k,j){if(j.showResetBtn){var l='<div id="gdpr-cookie-reset"><button id="gdpr-reset-button"><span class="gg-undo"></span>'+j.resetBtnTitle+"</button></div>";c(k).append(l);c("body").on("click","#gdpr-reset-button",function(){f();c("#gdpr-cookie-reset").remove();b(k,j)})}};var b=function(o,l){if(c("#gdpr-cookie-message").length){if(c("#gdpr-overlay").length){c("#gdpr-overlay").fadeIn()}c("#gdpr-cookie-message").fadeIn();return}var n=g(h);var q=g(e);var m='<li><input type="checkbox" name="gdpr[]" value="necessary" checked="checked" disabled="disabled"><label title="'+l.fixedCookieTypeDesc+'">'+l.fixedCookieTypeLabel+"</label></li>";preferences=JSON.parse(q);c.each(l.cookieTypes,function(r,t){if(t.type!==""&&t.value!==""){var s="";if(t.description!==false){s=' title="'+t.description+'"'}m+='<li><input type="checkbox" id="gdpr-cookietype-'+t.value+'" name="gdpr[]" value="'+t.value+'" data-auto="on"> <label for="gdpr-cookietype-'+t.value+'"'+s+">"+t.type+"</label></li>"}});var p=' target="_blank"';var k="";console.log(c("#gdpr-overlay"));if(l.useOverlay&&!c("#gdpr-overlay").length){k='<div id="gdpr-overlay"><div id="gdpr-policy-close"></div><iframe id="gdpr-policy" width="100%" height="100%" src="'+l.link+'"></iframe></div>';p=""}var j=k+'<div id="gdpr-cookie-message"><h4>'+l.title+"</h4><p>"+l.message+' <a id="gdpr-policy-link"'+p+' href="'+l.link+'">'+l.moreInfoLabel+'</a><div id="gdpr-cookie-types" style="display:none;"><h5>'+l.cookieTypesTitle+"</h5><ul>"+m+'</ul></div><p><button id="gdpr-cookie-accept" type="button">'+l.acceptBtnLabel+'</button><button id="gdpr-cookie-advanced" type="button">'+l.advancedBtnLabel+"</button></p></div>";setTimeout(function(){c(o).append(j);if(l.useOverlay){c("#gdpr-policy-link").on("click",function(r){r.preventDefault();c("#gdpr-policy").fadeIn();c("#gdpr-policy-close").fadeIn("slow");c("#gdpr-cookie-message").fadeOut();c("#gdpr-overlay").on("click",function(){c("#gdpr-policy").hide();c("#gdpr-policy-close").hide();c("#gdpr-cookie-message").fadeIn()})})}c("#gdpr-cookie-message").hide().fadeIn("slow",function(){if(event=="reinit"){c("#gdpr-cookie-advanced").trigger("click");c.each(preferences,function(r,s){c("input#gdpr-cookietype-"+s).prop({checked:true,"class":"ihavecookies"})})}})},l.delay);c("body").on("click","#gdpr-cookie-accept",function(){d(true,l.expires);c('input[name="gdpr[]"][data-auto="on"]').prop("checked",true);var r=[];c.each(c('input[name="gdpr[]"]').serializeArray(),function(s,t){r.push(t.value)});i(e,encodeURIComponent(JSON.stringify(r)),365);l.onAccept.call(this);a(o,l)});c("body").on("click","#gdpr-cookie-advanced",function(){c('input[name="gdpr[]"]:not(:disabled)').attr("data-auto","off").prop("checked",!l.uncheckBoxes);c("#gdpr-cookie-types").slideDown("fast",function(){c("#gdpr-cookie-advanced").prop("disabled",true)});c("#gdpr-cookie-accept").text(l.acceptSelectedBtnLabel);c("#gdpr-cookie-advanced").css("display","none")})}}(jQuery));